//
//  ToolbarTests.swift
//  DocHub
//
//  Created by Tristan Juricek on 6/13/14.
//  Copyright (c) 2014 Perforce. All rights reserved.
//

import DocHub
import AppKit
import XCTest

class DocHubControllerTests: XCTestCase {
    
    var app:NSApplication?
    var controller:DocHubController?
    
    override func setUp() {
        super.setUp()
        
        app = NSApplication.sharedApplication()
        controller = app!.delegate as? DocHubController
        toolbar = controller!.window.toolbar
    }
    
    func testToggleLibrary() {
        controller!.toggleLibrary()
        XCTAssert(controller!.libraryView.hidden)
        controller!.toggleLibrary()
        XCTAssert(!controller!.libraryView.hidden)
    }
}
